- name: uninstalling
  community.kubernetes.helm:
    release_name: "external-dns"
    release_state: absent
    release_namespace: "{{ cloudstack.plugins.external_dns.namespace }}"
    purge: True
    wait: True
    wait_timeout: 10m0s

- name: deleting namespace
  community.kubernetes.k8s:
    name: "{{ cloudstack.plugins.external_dns.namespace }}"
    api_version: v1
    kind: Namespace
    state: absent
